<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionEnterLadder Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d49/class_action_enter_ladder.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionEnterLadder Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionEnterLadder:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d49/class_action_enter_ladder.png" usemap="#ActionEnterLadder_map" alt=""/>
  <map id="ActionEnterLadder_map" name="ActionEnterLadder_map">
<area href="../../d0/d5b/class_action_interact_base.html" alt="ActionInteractBase" shape="rect" coords="0,0,118,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aadbb1494d3da0f76accaa4dcfc0b8613"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#aadbb1494d3da0f76accaa4dcfc0b8613">ActionEnterLadder</a> ()</td></tr>
<tr class="separator:aadbb1494d3da0f76accaa4dcfc0b8613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a388d0b791bdd6f799f8bd061137e1416"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#a388d0b791bdd6f799f8bd061137e1416">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a388d0b791bdd6f799f8bd061137e1416"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca6a98381f53755ae27a63a1f53e4b0f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#aca6a98381f53755ae27a63a1f53e4b0f">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:aca6a98381f53755ae27a63a1f53e4b0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6625cf1e52c00d31c8ee90b4fec8313d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#a6625cf1e52c00d31c8ee90b4fec8313d">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a6625cf1e52c00d31c8ee90b4fec8313d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68750be680d6bc340fc1049b874e7ecd"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#a68750be680d6bc340fc1049b874e7ecd">IsInstant</a> ()</td></tr>
<tr class="separator:a68750be680d6bc340fc1049b874e7ecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc345c916bfa71057b4701eb5aa8e902"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#afc345c916bfa71057b4701eb5aa8e902">UseAcknowledgment</a> ()</td></tr>
<tr class="separator:afc345c916bfa71057b4701eb5aa8e902"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0235940607f479285926079efccb243a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#a0235940607f479285926079efccb243a">CanBeUsedSwimming</a> ()</td></tr>
<tr class="separator:a0235940607f479285926079efccb243a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a1b2130d24dc4d6d712ffb9847d728b86"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#a1b2130d24dc4d6d712ffb9847d728b86">GEOM_LOD_NAME</a> = <a class="el" href="../../d1/d96/class_l_o_d.html#abbcc4efbcc224c48429550a4b18f6697">LOD.NAME_GEOMETRY</a></td></tr>
<tr class="separator:a1b2130d24dc4d6d712ffb9847d728b86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02bf07becb9d0ff5da96d48d36e0236d"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d49/class_action_enter_ladder.html#a02bf07becb9d0ff5da96d48d36e0236d">MEM_LOD_NAME</a> = <a class="el" href="../../d1/d96/class_l_o_d.html#a932df7894c3e570d169e6ade4f7ac4ef">LOD.NAME_MEMORY</a></td></tr>
<tr class="separator:a02bf07becb9d0ff5da96d48d36e0236d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00002">2</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aadbb1494d3da0f76accaa4dcfc0b8613" name="aadbb1494d3da0f76accaa4dcfc0b8613"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadbb1494d3da0f76accaa4dcfc0b8613">&#9670;&#160;</a></span>ActionEnterLadder()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionEnterLadder::ActionEnterLadder </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00007">7</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aca6a98381f53755ae27a63a1f53e4b0f" name="aca6a98381f53755ae27a63a1f53e4b0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca6a98381f53755ae27a63a1f53e4b0f">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionEnterLadder::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >is action_data.m_Target ? not on ladder and not falling ?</p>

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00019">19</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<a id="a0235940607f479285926079efccb243a" name="a0235940607f479285926079efccb243a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0235940607f479285926079efccb243a">&#9670;&#160;</a></span>CanBeUsedSwimming()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionEnterLadder::CanBeUsedSwimming </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00209">209</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<a id="a388d0b791bdd6f799f8bd061137e1416" name="a388d0b791bdd6f799f8bd061137e1416"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a388d0b791bdd6f799f8bd061137e1416">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionEnterLadder::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00013">13</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<a id="a68750be680d6bc340fc1049b874e7ecd" name="a68750be680d6bc340fc1049b874e7ecd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68750be680d6bc340fc1049b874e7ecd">&#9670;&#160;</a></span>IsInstant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionEnterLadder::IsInstant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00199">199</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<a id="a6625cf1e52c00d31c8ee90b4fec8313d" name="a6625cf1e52c00d31c8ee90b4fec8313d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6625cf1e52c00d31c8ee90b4fec8313d">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionEnterLadder::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00113">113</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<a id="afc345c916bfa71057b4701eb5aa8e902" name="afc345c916bfa71057b4701eb5aa8e902"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc345c916bfa71057b4701eb5aa8e902">&#9670;&#160;</a></span>UseAcknowledgment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionEnterLadder::UseAcknowledgment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00204">204</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1b2130d24dc4d6d712ffb9847d728b86" name="a1b2130d24dc4d6d712ffb9847d728b86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b2130d24dc4d6d712ffb9847d728b86">&#9670;&#160;</a></span>GEOM_LOD_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionEnterLadder::GEOM_LOD_NAME = <a class="el" href="../../d1/d96/class_l_o_d.html#abbcc4efbcc224c48429550a4b18f6697">LOD.NAME_GEOMETRY</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00004">4</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<a id="a02bf07becb9d0ff5da96d48d36e0236d" name="a02bf07becb9d0ff5da96d48d36e0236d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02bf07becb9d0ff5da96d48d36e0236d">&#9670;&#160;</a></span>MEM_LOD_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionEnterLadder::MEM_LOD_NAME = <a class="el" href="../../d1/d96/class_l_o_d.html#a932df7894c3e570d169e6ade4f7ac4ef">LOD.NAME_MEMORY</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html#l00005">5</a> of file <a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/<a class="el" href="../../de/d25/_action_enter_ladder_8c_source.html">ActionEnterLadder.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d49/class_action_enter_ladder.html">ActionEnterLadder</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
